Bug 965713 - [Windows Guest Tools] a app with chinese name is not displayed correctly
[Windows Guest Tools] a app with chinese name is not displayed correctly
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent (Show other bugs)
3.2.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Barak
Pavel Stehlik
virt
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 11:23 EDT by Jiri Belka
Modified: 2015-09-22 09 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 06:11:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2013-05-21 11:23:02 EDT
Description of problem:
a app with chinese name is not displayed correctly, it used to work ok before, there used to be - u'\xxx\xxx...' unicode string, now there's '???????...'.

-%---
Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\fake_chinese_app]
"DisplayName"="支付宝安全控件 3.7.0.0"
"DisplayIcon"="C:\\Program Files\\alipay\\alieditplus\\uninst.exe"
"UninstallString"="C:\\Program Files\\alipay\\alieditplus\\uninst.exe"
"DisplayVersion"="3.7.0.0"
"Publisher"="Alipay.com Co., Ltd."
"NoModify"=dword:00000001
"NoRepair"=dword:00000001
-%---

# vdsClient -s 0 getVmStats fb1ede4f-791c-4a1d-a7de-0f1ed28b4d3e | grep apps
        appsList = ['??????? 3.7.0.0', 'RHEV-Tools 3.2.8', 'RHEV-Balloon64 3.2.4', 'RHEV-USB 3.2.3', 'RHEV-Block64 3.2.4', 'RHEV-Application Provisioning Tool', 'Microsoft Visual C++ 2008 Redistributable - x86 9.0.30729.17', 'RHEV-Serial64 3.2.4', 'RHEV-Network64 3.2.4', 'RHEV-Agent64 3.2.5', 'RHEV-Spice-Agent64 3.2.5', 'RHEV-SSO64 3.2.4']

# grep appsList /var/log/vdsm/vdsm.log | tail -n1
Thread-340137::DEBUG::2013-05-21 17:16:10,786::BindingXMLRPC::920::vds::(wrapper) return vmGetStats with {'status': {'message': 'Done', 'code': 0}, 'statsList': [{'username': u'user@JB-W8-X64', 'memUsage': '28', 'acpiEnable': 'true', 'pid': '1151', 'cdrom': '/rhev/data-center/mnt/10.34.63.204:_home_iso_shared/a7e5f59c-2877-475b-8afc-f760ba63defb/images/11111111-1111-1111-1111-111111111111/RHEV-toolsSetup_3.2_8.iso', 'session': 'UserLoggedOn', 'displayPort': u'5900', 'displaySecurePort': u'5901', 'timeOffset': 3592L, 'memoryStats': {u'swap_out': '0', u'majflt': '0', u'mem_free': '1494164', u'swap_in': '0', u'pageflt': '0', u'mem_total': '2096736', u'mem_unused': '1494164'}, 'balloonInfo': {'balloon_max': 2097152, 'balloon_cur': 2097152}, 'pauseCode': 'NOERR', 'disksUsage': [{u'path': u'c:\\', u'total': '21105733632', u'used': '19402129408', u'fs': u'NTFS'}, {u'path': u'd:\\', u'total': '261535744', u'used': '261535744', u'fs': u'CDFS'}], 'network': {u'vnet0': {'macAddr': '00:1a:4a:e0:3f:c5', 'rxDropped': '0', 'rxErrors': '0', 'txDropped': '0', 'txRate': '0.0', 'rxRate': '0.0', 'txErrors': '0', 'state': 'unknown', 'speed': '1000', 'name': u'vnet0'}}, 'displayType': 'qxl', 'guestName': u'JB-W8-X64', 'elapsedTime': '1324', 'vmType': 'kvm', 'cpuSys': '1.93', 'appsList': [u'??????? 3.7.0.0', u'RHEV-Tools 3.2.8', u'RHEV-Balloon64 3.2.4', u'RHEV-USB 3.2.3', u'RHEV-Block64 3.2.4', u'RHEV-Application Provisioning Tool', u'Microsoft Visual C++ 2008 Redistributable - x86 9.0.30729.17', u'RHEV-Serial64 3.2.4', u'RHEV-Network64 3.2.4', u'RHEV-Agent64 3.2.5', u'RHEV-Spice-Agent64 3.2.5', u'RHEV-SSO64 3.2.4'], 'guestOs': u'Win 8', 'status': 'Running', 'hash': '1938332146734346332', 'vmId': 'fb1ede4f-791c-4a1d-a7de-0f1ed28b4d3e', 'displayIp': '10.34.63.222', 'lastLogout': 1369148046.0471549, 'lastUser': u'None', 'clientIp': '10.34.131.103', 'kvmEnable': 'true', 'disks': {u'vda': {'readLatency': '0', 'apparentsize': '14099283968', 'writeLatency': '5296849', 'imageID': '697ae8d1-79a1-4f77-a6f0-7e1d8b236200', 'flushLatency': '57351', 'readRate': '0.00', 'truesize': '14106066944', 'writeRate': '4741.14'}, u'hdc': {'readLatency': '0', 'apparentsize': '0', 'writeLatency': '0', 'flushLatency': '0', 'readRate': '0.00', 'truesize': '0', 'writeRate': '0.00'}}, 'monitorResponse': '0', 'statsAge': '0.92', 'cpuUser': '1.29', 'lastLogin': 1369148254.1859441, 'guestIPs': u'10.34.60.112', 'netIfaces': [{u'hw': u'00:1a:4a:e0:3f:c5', u'name': u'Red Hat VirtIO Ethernet Adapter', u'inet': [u'10.34.60.112'], u'inet6': [u'fe80::f82b:632c:b122:3189', u'2620:52:0:223c:f82b:632c:b122:3189', u'2620:52:0:223c:58b:9572:abe2:62f0']}]}]}

Version-Release number of selected component (if applicable):
3.2.8

How reproducible:
100%

Steps to Reproduce:
1. install above registry key to have a fake chinese app installed (modify path if needed, this was for w8)
2. have WGT
3.

Actual results:
instead of seeing "支付宝安全控件 3.7.0.0" i get '??????? 3.7.0.0' in vdsClient and Admin Portal.

Expected results:
nice chinese string

Additional info:
see https://bugzilla.redhat.com/show_bug.cgi?id=947014#c17
Comment 1 Moran Goldboim 2013-05-21 16:02:14 EDT
Jiri, regression from what build?
Comment 2 Jiri Belka 2013-05-22 02:36:46 EDT
vdsm-4.10.2-16.0.el6ev.x86_64 - hmm, forgot this is vdsm related, i will check with this vdsm version and if needed i'll change component.
Comment 3 Jiri Belka 2013-05-22 04:17:53 EDT
tested on vdsm-4.10.2-16.0.el6ev.x86_64, so this is not vdsm related. WGT 3.2.5 shows chinese chars of the app correctly. so regression was introduced > 3.2.5.

* 3.2.5 tools

# vdsClient -s 0 getVmStats fb1ede4f-791c-4a1d-a7de-0f1ed28b4d3e | grep appsList
        appsList = [u'\u652f\u4ed8\u5b9d\u5b89\u5168\u63a7\u4ef6 3.7.0.0', 'RHEV-Tools 3.2.5', 'RHEV-Spice-Agent64', 'RHEV-Agent64 3.2.3', 'RHEV-Serial64 3.2.3', 'RHEV-Network64 3.2.3', 'RHEV-Block64 3.2.3', 'RHEV-Balloon64 3.2.3', 'RHEV-USB 3.2.3', 'RHEV-Block64 3.2.4', 'Microsoft Visual C++ 2008 Redistributable - x86 9.0.30729.17', 'RHEV-Network64 3.2.4', 'RHEV-Spice-Agent64 3.2.5', 'RHEV-SSO64 3.2.4']
Comment 6 Jiri Belka 2013-05-22 07:17:20 EDT
After discussion it was discovered that system localization is needed to have apps names encoding working. Thus when OS was switched to Chinese (Simplified) encoding, the GA reports app names correctly including the name of the chinese app. I was told the change of how GA handles apps names depending on system localization (diff between 3.2.5 and 3.2.8) is to protect vdsm against some strangeness...

Note You need to log in before you can comment on or make changes to this bug.